Page MenuHomePhabricator

DataModelSerialization: The serializer should allow marking specific parts of the data as "deleted".
Closed, DeclinedPublic

Description

API modules that modify entity data return the modified data structure, with any deleted parts marked as deleted. The "new" serializer needs to support this feature somehow, if we are to maintain feature parity.

However, since this is not easily done, we should also consider the option of dropping deletion markers from the output.

Related Objects

StatusAssignedTask
Declineddchen
OpenNone
OpenNone
DuplicateNone
OpenNone
ResolvedAbit
OpenNone
DuplicateNone
OpenNone
OpenNone
OpenNone
DuplicateNone
InvalidLydia_Pintscher
OpenNone
OpenNone
OpenNone
OpenNone
StalledNone
ResolvedBene
OpenNone
ResolvedJanZerebecki
OpenNone
OpenNone
Resolvedthiemowmde
OpenNone
DeclinedBene
ResolvedBene
ResolvedBene
ResolvedBene
Resolved Addshore
OpenNone
DeclinedBene
Resolveddaniel
ResolvedBene
DeclinedBene

Event Timeline

daniel created this task.May 12 2015, 2:14 PM
daniel raised the priority of this task from to High.
daniel updated the task description. (Show Details)
JanZerebecki lowered the priority of this task from High to Normal.May 16 2015, 5:19 PM
JanZerebecki set Security to None.

Most of the API output now uses the DM serialization, extra methods for output marked as deleted are in ResultBuilder.

We potentially don't need to add this 'deleted' functionality to the DM serializers.

Thoughts @daniel?

Bene closed this task as Declined.Jul 28 2015, 4:37 PM
Bene claimed this task.

Per @Addshore this feature isn't needed in the serializers but we did a workaround in ResultBuilder. Actually, the "mark as deleted/removed" functionality wasn't really a serialization but rather an api result that belongs into ResultBuilder.